Name:		quimup
Version:	1.4.4
Release:	%mkrel 4
Summary:	A client for the music player daemon (MPD)
License:	GPLv2+
Group:		Sound/Players
Url:		https://sourceforge.net/projects/quimup/
Source0:	https://sourceforge.net/projects/quimup/files/Quimup_%{version}_source.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		quimup-1.4.2-use-system-qtsingleapplication.patch
Patch1:		quimup-1.4.2-mga-install.patch
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(taglib) >= 1.11
BuildRequires:	qtsingleapplication-qt5-devel

Requires:	mpd

%description
QUIMUP is a client for the music player daemon (MPD) written in C++ and QT5.

The program can be used with most Linux desktops (KDE, GNOME, XFCE) and is
covered by the General Public License: it is free and 'open source'.
The clean interface makes controlling MPD's many features easy and intuitive.
The focus is on mouse handling: playlist management is done entirely by
drag-&-drop; playback functions are directly accessible from the system tray.
Quimup turns MPD into a perfect desktop music player.

%prep
%setup -c -T
tar -xzf %{SOURCE0} --strip-components=1
%autopatch -p1

cp %{SOURCE1} %{SOURCE2} src/resources/

%build
%qmake_qt5 %{name}.pro

%make_build

%install
%qmakeinstall_std

%files
%doc changelog description FAQ.txt README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.4.4-4.mga8
+ Revision: 1659717
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.4.4-3.mga8
+ Revision: 1525020
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 umeabot <umeabot> 1.4.4-2.mga7
+ Revision: 1384615
- Qt5 Rebuild

* Tue Dec 18 2018 daviddavid <daviddavid> 1.4.4-1.mga7
+ Revision: 1342596
- new version: 1.4.4

* Sun Sep 23 2018 umeabot <umeabot> 1.4.3-3.mga7
+ Revision: 1300755
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 wally <wally> 1.4.3-2.mga7
+ Revision: 1200516
- improve str fmt patch a bit

* Sun Feb 11 2018 daviddavid <daviddavid> 1.4.3-1.mga7
+ Revision: 1200511
- add a patch to fix format not a string literal (thanks to wally)
- new version: 1.4.3

* Tue May 17 2016 daviddavid <daviddavid> 1.4.2-1.mga6
+ Revision: 1016580
- initial package quimup

